@import './mixins';

.section {
    position: relative;
    &__row {
        display: flex;
        width: 100%;
        @include respond-points(0, 610) {
            flex-direction: column;
        }
        &--space {
            justify-content: space-between;
        }
        &--align-center {
            align-items: center;
        }
    }
    &__title {
        font-family: 'Playfair Display', serif;
        font-style: normal;
        font-weight: bold;
        letter-spacing: 0.01em;
        color: #000000;
        .subtitle {
            font-family: 'Neutraface', sans-serif;
            font-size: 20px;
            line-height: 24px;
            color: #2D2929;
            display: block;
            margin-top: 8px;
        }
        @include respond(1025) {
            font-size: 48px;
            margin-bottom: 32px;
            line-height: 1;
        }
        @include respond-points(611, 1024) {
            font-size: 40px;
            line-height: 53px;
            margin-bottom: 16px;
        }
        @include respond-points(0, 610) {
            font-size: 32px;
            line-height: 43px;
            margin-bottom: 16px;
        }
    }
    p {
        font-style: normal;
        font-weight: normal;
        font-size: 16px;
        line-height: 140%;
        letter-spacing: 0.01em;
        color: #000000;
        &:not(:first-of-type) {
            
            @include respond(1025) {
                margin-top: 24px;;
            }
            @include respond-points(0, 1024) {
                margin-top: 16px;
            }
        }
    }
    .text-block {
        .price {
            display: block;
            font-style: normal;
            font-weight: bold;
            font-size: 32px;
            line-height: 38px;
            letter-spacing: 0.01em;
            color: #000000;
            margin-top: 24px;
        }
        .button {
            margin-top: 8px;
        }
    }
    
    &--top {
        
        @include respond(769) {
            background: linear-gradient(to right, #fff 24.99%, #F7ECEC 25%);
        }
        @include respond-points(611, 768) {
            background: linear-gradient(to right, #fff 21.99%, #F7ECEC 22%);
        }
        position: relative;
        @include respond(611) {
            padding: 0 48px;
        }
        @include respond-points(0, 610) {
            padding: 0 24px 93px 24px;  
            background: linear-gradient(to right, #fff 21.99%, #F7ECEC 22%);
        }
        .text-block {
        
            @include respond(769) {
                padding: 93px 0 84px 0;
                margin-left: 25%;
            }
            @include respond-points(611, 768) {
                padding: 58px 0 94px 24px;
            }
            @include respond-points(0, 610) {
                
            }
            p {
                @include respond(1025) {
                    max-width: 500px;
                }
                @include respond-points(611, 1024) {
                    max-width: 325px;
                }
                @include respond-points(0, 610) {
                    max-width: 278px;
                }
            }
        }
        .img-absolute {
            position: relative;
            
            z-index: 2;
            @include respond(769) {
                margin-top: -78px;
                margin-left: 55%;
            }
            @include respond-points(611, 768) {
                margin-top: -68px;
                margin-left: 10%;
                width: 205px;
                height: 398px;
            }
            @include respond-points(0, 610) {
                width: 141px;
                height: 274px;
                margin-top: -106px;
                margin-left: calc(50% - 46px);
            }
        }
    }
    &--video {
        // Video
        .video_wrapper {
            width: 100%;
            border-radius: 1px;
            
            position: relative;
            background-color: #000;
            @include respond(1025) {
                height: 540px;
                // max-width: 920px;
                margin: 0 auto;
            }
            @include respond-points(0, 1024) {
                margin-left: auto;
                margin-right: auto;
                height: 270px;
            }
        }

        .videoIframe {
            position: absolute;
            top: 0;
            bottom: 0;
            right: 0;
            left: 0;
            // left: 50%;
            // transform: translateX(-50%);
            width: 100%;
            height: 100%;
            background-color: transparent;
        }

        .videoPoster {
            position: absolute;
            top: 0px;
            left: 0px;
            width: 100%;
            height: 100%;
            
            background-size: cover;
            border: none;
            text-indent: -999em;
            overflow: hidden;
            opacity: 1;
            transition: opacity 800ms, height 0s;
            transition-delay: 0s, 0s;
        }

        .videoPoster:hover {
            cursor: pointer;
        }

        .videoPoster:before {
            content: '';
            position: absolute;
            top: 50%;
            left: 50%;
            background: #000000;
            border-radius: 100%;
            transform: translate(-50%, -50%);
            width: 70px;
            height: 70px;
        }

        .videoPoster:after {
            content: '';
            position: absolute;
            top: 50%;
            left: 50%;
            width: 0;
            height: 0;
            transform: translate(-33%, -50%);
            width: 32px;
            height: 32px;
            background: url(../images/play.svg) no-repeat center center;
        }

        .videoWrapperActive .videoPoster {
        opacity: 0;
        height: 0;
        transition-delay: 0s, 800ms;
        }
        // End video\\
    }
    &--subscribe {
        padding: 81px 0;
        background: linear-gradient(255.31deg, #F1EBEB 49.87%, #F7ECEC 99.39%);
        @include respond-points(0, 610) {
            padding-left: 16px;
            padding-right: 16px;
        }
        .custom-input {
            max-width: 371px;
        }
        .button {
            
            @include respond(611) {
                margin-left: -12px;
            }
            @include respond-points(0, 610) {
                margin-top: 16px;
            }
        }
        
    }
    &--logos {
        background: #F0F0F0;
        padding: 32px 0;
        @include respond-points(0, 610) {
            padding: 32px 24px;
        }
        .brands {
            display: flex;
            align-items: center;
            @include respond(1025) {
                justify-content: space-between;
            }
            @include respond-points(611, 1024) {
                padding: 32px 64px;
            }
            @include respond-points(0, 1024) {
                flex-wrap: wrap;
                justify-content: space-evenly;
            }
            &-item {
                @include respond-points(0, 1024) {
                    width: calc(100% / 3);
                }
                &:nth-child(4),
                &:nth-child(5) {
                    @include respond-points(611, 1024) {
                        margin-top: 32px;
                    }
                    @include respond-points(0, 610) {
                        margin-top: 12px;
                    }
                }
                text-align: center;
            }
            img {
                object-fit: contain;
                @include respond-points(0, 611) {
                    height: 32px;
                }
                opacity: 0.3;
                &:hover {
                    opacity: 1;
                }
            }
        }
       
    }
    &--capsule {
        @include respond-points(0, 610) {
            padding: 0 16px;
        }
        .section__title {
            @include respond-points(0, 610) {
                max-width: 260px;
            }
        }
        .text-block {
            max-width: 500px;
            padding: 92px 0;
            button.discover-btn {
                
                @include respond(611) {
                    margin-top: 76px;
                }
                @include respond-points(0, 610) {
                    margin-top: 32px;
                }
            }
            @include respond-points(611, 1024) {
                padding-left: 64px;
            }
            p {
                @include respond-points(611, 1024) {
                    max-width: 320px;
                }
            }
        }
        .capsule {
            &__picture {
                width: calc(100% - 700px);
                background: url('../images/bg_3.png') no-repeat center center/ cover;
                @include respond-points(611, 1024) {
                    width: 50%;
                    height: 325px;
                }
                &--mobile {
                    @include respond(611) {
                        display: none;
                    }
                    @include respond-points(0, 610) {
                        height: 318px;
                        width: 100%;
                        margin-bottom: 24px;
                    }
                }
                &:not(.capsule__picture--mobile) {
                    @include respond-points(0, 610) {
                        display: none;
                    }
                }
            }
        }
        .benefits-row {
            display: flex;
            margin-top: 40px;
            @include respond-points(0, 610) {
                justify-content: space-between;
            }
            &__item {
                display: flex;
                align-items: center;
                @include respond-points(0, 610) {
                    flex-direction: column;
                }
                &:not(:first-child) {
                    
                    @include respond(611) {
                        margin-left: 56px;
                    }
                }
            }
            &__icon {
                width: 56px;
                height: 56px;
                background: #C19E6A;
                border-radius: 56px;
                background-repeat: no-repeat;
                background-position: center center;
                &--peel {
                    background-image: url(../images/peel-icon.svg);
                }
                &--empty {
                    background-image: url(../images/empty-icon.svg);
                }
                &--recycle {
                    background-image: url(../images/recycle-icon.svg);
                }
            }
            &__text {
                font-style: normal;
                font-weight: bold;
                font-size: 14px;
                line-height: 140%;
                letter-spacing: 0.01em;
                text-transform: uppercase;
                color: #C19E6A;
                
                @include respond(611) {
                    margin-left: 16px;
                }
                @include respond-points(0, 610) {
                    margin-top: 8px;
                }
            }
        }
    }
    &--benefits {
        .section__title {
            @include respond-points(0, 1024) {
                text-align: center;
            }
        }
        padding: 93px 0;
        .text-block__row {
            @include respond-points(611, 1024) {
                display: flex;
                flex-direction: column;
                padding: 0 64px;
            }
            @include respond-points(0, 611) {
                padding: 0 16px;
            }
        }
        .video-block {
            video {
               width: 100%;
               height: 300px;
               position: relative;
               @include respond(1025) {
                    margin: 42px 38px 26px 60px;
                }
                @include respond-points(611, 1024) {
                    margin: 24px 0px;
                }
                @include respond-points(0, 610) {
                    height: 148px;
                }
            }
            
            @include respond(1025) {
                width: calc(100% - 700px);
                height: 446px;
            }
            @include respond-points(611, 1024) {
                width: 100%;
                height: 398px;
            }
            @include respond-points(0, 610) {
                width: 100%;
                height: 190px;
            }
            &--mobile {
                @include respond(1025) {
                    display: none;
                }
            }
            &:not(.video-block--mobile) {
                @include respond-points(0, 1024) {
                    display: none;
                }
            }
            position: relative;
            background: #C19E6A;
            &:before {
                content: '';
                display: block;
                position: absolute;
                background: url('../images/milkshake.svg') no-repeat center center / cover;
                z-index: 3;
                @include respond(1025) {
                    width: 136px;
                    height: 221px;
                    right: -75px;
                    top: -85px;
                }
                @include respond-points(611, 1024) {
                    width: 103px;
                    height: 167px;
                    right: 18px;
                    top: -57px;
                }
                @include respond-points(0, 610) {
                    display: none;
                }
            }
            &__cover {
                height: 368px;
                width: 100%;
                background: url('../images/bg_2.png') no-repeat center center/ cover;
            }
            &__play {
                background: #fff;
                
                display: flex;
                align-items: center;
                justify-content: center;
                margin-left: auto;
                font-style: normal;
                font-weight: bold;
                font-size: 14px;
                line-height: 140%;
                letter-spacing: 0.01em;
                text-transform: uppercase;
                color: #000000;
                margin-top: -4px;
                @include respond(1025) {
                    width: 50%;
                    height: 78px;
                }
                @include respond-points(611, 1024) {
                    width: 268px;
                    height: 50px;
                }
                @include respond-points(0, 610) {
                    width: 170px;
                    height: 24px;
                    font-size: 8px;
                    margin-top: 15px;
                }
            }
            &__play-btn {
                border: none;
                outline: none;
                
                background: url('../images/animation_200_kivpnkno.svg') no-repeat center center/ cover;
                margin-right: 8px;
                @include respond(1025) {
                    width: 78px;
                    height: 78px;
                }
                @include respond-points(611, 1024) {
                    width: 40px;
                    height: 40px;
                }
                @include respond-points(0, 610) {
                    width: 24px;
                    height: 24px;
                }
            }
        }
        .text-block {
            
            @include respond(1025) {
                max-width: 515px;
            }
            &__item {
                @include respond-points(611, 1024) {
                    max-width: 100%;
                    margin-top: 32px;
                }
                @include respond-points(0, 610) {
                    margin-top: 22px;
                }
            }
        }
        .benefits-row {
            display: flex;
            
            @include respond(1025) {
                margin-top: 50px;
            }
            @include respond-points(611, 1024) {
                flex-wrap: wrap;
                justify-content: center;
            }
            @include respond-points(0, 611) {
                justify-content: center;
                flex-wrap: wrap;
                margin-top: 24px;
            }
            &__item {
                display: flex;
                align-items: center;
                @include respond-points(611, 1024) {
                    margin-top: 28px;
                }
                
                &:not(:first-child) {
                    
                    @include respond(1025) {
                        margin-left: 18px;
                    }
                    @include respond-points(611, 1024) {
                        margin-left: 32px;
                    }
                }
                
                @include respond-points(0, 610) {
                    width: calc(100% / 3 - 14px);
                    padding-top: 16px;
                }
            }
            &__icon {
                width: 86px;
                height: 105px;
                background-repeat: no-repeat;
                background-position: center center;
                background-size: contain;
            }
        }
    }
    &--brands {
        @include respond(611) {
            background: linear-gradient(to right, #4E4343 34.99%, #ffffff 35%);
        }
        @include respond-points(0, 610) {
            padding: 0 16px;
        }
        .picture-block {
            background-repeat: no-repeat;
            background-position: center center;
            background-size: cover;
            position: relative;
            @include respond(1025) {
                width: calc(100% - 800px );
                height: 519px;
                margin-left: 5%;
            }
            @include respond-points(611, 1024) {
                width: 295px;
                height: 271px;
            }
            @include respond-points(0, 610) {
                display: none;
            }
            &:before {
                content: '';
                position: absolute;
                width: 1px;
                height: 230px;
                background: linear-gradient(to top, #ffffff 70.99%, #4E4343 71%);
                
                @include respond(1025) {
                    left: -56px;
                    top: -31%;
                }
                @include respond-points(611, 1024) {
                    left: 42px;
                    top: -59%;
                }
                @include respond-points(0, 610) {
                    display: none;
                }
                
            }
        }
        .picture-block--mobile {
            @include respond-points(0, 610) {
                height: 271px;
                width: 100%;
                background-size: contain;
                margin-bottom: 24px;
            }
        }
        .text-block {
            
            padding-bottom: 93px;
            @include respond(1025) {
                max-width: 500px;
            }
            @include respond-points(611, 1024) {
                max-width: 50%;
                padding-right: 64px;
            }
            .button {
                margin-top: 40px;
            }
        }
        .section__row {
            padding-top: 93px;
        }
    }
    &--guide {
        padding: 24px 0;
        background: #4E4343;
    }
    &--machine {
        @include respond-points(0, 610) {
            padding: 48px 24px 48px 16px;
        }
        &:before {
            content: '';
            @include respond(611) {
                height: 100%;
                width: 32%;
                background: linear-gradient(#4E4343 60.99%, #F7ECEC 61%);
                position: absolute;
                right: 0;
            }
        }
        .section__title {
            @include respond(1025) {
                max-width: 474px;
            }
            @include respond-points(611, 1024) {
                max-width: 280px;
            }
        }
        .section__row--align-center {
            @include respond-points(611, 1024) {
                align-items: flex-start;
            }
        }
        .benefits {
            @include respond-points(611, 1024) {
                width: 50%;
                padding: 40px 0 93px 64px;
            }
            &__list {
                display: flex;
                flex-wrap: wrap;
                @include respond-points(0, 1024) {
                    flex-direction: column;
                }
            }
            &__list-item {
                display: flex;
                
                @include respond(1025) {
                    width: 50%;
                }
                @include respond-points(0, 1024) {
                }
                &:not(:first-child):not(:nth-child(2)) {
                    @include respond(1025) {
                        margin-top: 32px;
                    }
                }
                &:not(:first-child) {
                    @include respond-points(0, 1024) {
                        margin-top: 24px;
                    }
                }
                &:first-child {
                    @include respond-points(0, 1024) {
                        margin-top: 8px;
                    }
                }
            }
            &__icon {
                display: block;
                width: 48px;
                height: 48px;
                background: #4E4343;
                border-radius: 48px;
                background-repeat: no-repeat;
                background-position: center center;
            }
            &__description {
                margin-left: 16px;
                span {
                    display: block;
                    color: #2D2929;
                    line-height: 24px;
                }
                .title {
                    font-weight: bold;
                    font-size: 20px;
                    
                }
                .text {
                    font-weight: normal;
                    font-size: 18px;
                    
                }
            }
        }
        .picture {
            position: relative;
            &:before {
                content: '';
                position: absolute;
                height: 1px;
                width: 250px;
                background: linear-gradient(to right, #4E4343 30.99%, #F7ECEC 31%);
                
                z-index: 2;
                
                @include respond(1025) {
                    top: 75px;
                    left: 12%;
                }
                @include respond-points(611, 1024) {
                    top: 0px;
                    left: 16%;
                }
                @include respond-points(0, 610) {
                    display: none;
                }
            }
            @include respond(1025) {
                height: 768px;
                width: calc(100% - 700px);
            }
            @include respond-points(611, 1024) {
                height: 365px;
                width: 365px;
                margin-top: 93px;
            }
            @include respond-points(0, 610) {
                display: none;
            }
            background: url(../images/machine_2.png) no-repeat center center / cover;
        }
    }
}

.subscribe {
    text-align: center;
    &__title {
        font-family: 'Playfair Display', serif;
        font-weight: bold;
        font-size: 32px;
        line-height: 43px;
        letter-spacing: 0.01em;
        text-transform: uppercase;
        color: #000000;
    }
    &__subtitle,
    &__text {
        font-style: normal;
        font-weight: normal;
        font-size: 18px;
        line-height: 26px;
        text-align: center;
        letter-spacing: 1px;
        color: #000000;
    }
    &__subtitle {
        margin-top: 24px;
    }
    &__text {
        margin-top: 8px;
    }
    &__form {
        margin-top: 32px;
    }
    
}


.mobile-menu {
    width: 100%;
    display: flex;
    flex-direction: column;
    & > li {
        padding-bottom: 8px;
        &:not(:first-of-type) {
            margin-top: 24px;
        }
        a {
            font-style: normal;
            font-weight: bold;
            font-size: 14px;
            line-height: 139.99%;
            letter-spacing: 0.01em;
            text-transform: uppercase;
            color: #FFFFFF;

        }
        .sub-menu {
            display: none;
            padding-top: 16px;
            border-top: 1px solid #fff;
            & > li {
                
                @include respond-points(611, 1024) {
                    display: inline-block;
                }
                @include respond-points(0, 610) {
                    display: block;
                }
                a {
                    font-weight: bold;
                    font-size: 10px;
                    line-height: 12px;
                    letter-spacing: 0.01em;
                    text-transform: uppercase;
                    color: #FFFFFF;
                }
                &:not(:first-of-type) {
                    
                    @include respond-points(611, 1024) {
                        margin-left: 54px;
                    }
                    @include respond-points(0, 610) {
                        margin-top: 16px;
                    }
                }
            }
        }
    }
}


.guide {
    @include respond-points(611, 1024) {
        padding: 24px 64px;
    }
    @include respond-points(0, 610) {
        padding: 24px 16px;
    }
    &__header {
        padding-right: 32px;
        .title {
            font-family: 'Playfair Display', serif;
            font-weight: bold;
            font-size: 32px;
            line-height: 43px;
            letter-spacing: 0.01em;
            color: #FFFFFF;
        }
        .text {
            font-family: 'Neutraface', sans-serif;
            font-size: 18px;
            line-height: 26px;
            letter-spacing: 1px;
            color: #FFFFFF;
            padding-top: 8px;
        }
    }
    &__cards {
        display: flex;
        align-items: center;
        @include respond-points(0, 1024) {
            flex-wrap: wrap;
        }
    }
    &__item {
        width: 100%;
        @include respond(1025) {
            max-width: calc(100% / 4 - 18px);
        }
        @include respond-points(611, 1024) {
            max-width: calc(100% / 2 - 18px);
        }
        @include respond-points(0, 610) {
            width: 100%;
        }
        &:not(:first-child):not(:nth-child(2)) {
            @include respond-points(611, 1024) {
                margin-top: 24px;
            }
        }
        &:not(:first-child) {
            @include respond-points(0, 610) {
                margin-top: 24px;
            }
        }
    }
    &__card {
        &:not(:first-of-type) {
            @include respond(1025) {
                margin-left: 32px;
            }
        }
        &:not(:nth-child(odd)) {
            @include respond-points(611, 1024) {
                margin-left: 32px;
            }
        }
    }
    &__picture {
        width: 100%;
        height: 129px;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center center;
        background-color: #fff;
    }
    &__go {
        display: flex;
        align-items: baseline;
        padding: 16px;
        background: #fff;
        span {
            font-family: 'Neutraface', sans-serif;
            font-style: normal;
            font-weight: bold;
            font-size: 16px;
            line-height: 140%;
            letter-spacing: 0.01em;
            text-transform: uppercase;
            color: #4E4343;
        }
        .icon-button--more {
            color: #4E4343;
            font-size: 24px;
            line-height: 1;
        }
        &:hover {
            cursor: pointer;
            span {
                text-decoration: underline;
            }
        }
    }
}

